﻿Imports System.ComponentModel
Imports System.Runtime.CompilerServices

Namespace Classes

    Public Class DriveInfo
        Implements INotifyPropertyChanged

        Public Sub New()
            If DesignerProperties.GetIsInDesignMode(New DependencyObject) Then
                Caption = "Beispielbezeichnung"
                IsSsd = "yes"
                SizeInKb = 1000000000
                SlotNumber = 0
            End If
        End Sub




        Private _caption As String

        Public Property Caption() As String
            Get
                Return _caption
            End Get
            Set(ByVal value As String)
                _caption = value
                RaisePropertyChanged()
            End Set
        End Property

        Private _isSsd As String

        Public Property IsSsd() As String
            Get
                Return _isSsd
            End Get
            Set(ByVal value As String)
                _isSsd = value
                RaisePropertyChanged()
            End Set
        End Property



        Private _sizeInKb As Double

        Public Property SizeInKb() As Double
            Get
                Return _sizeInKb
            End Get
            Set(ByVal value As Double)
                _sizeInKb = value
                RaisePropertyChanged()
            End Set
        End Property


        Private _hasErrors As Boolean

        Public Property HasErrors() As Boolean
            Get
                Return _hasErrors
            End Get
            Set(ByVal value As Boolean)
                _hasErrors = value
                RaisePropertyChanged()
            End Set
        End Property


        Private _slotNumber As Integer

        Public Property SlotNumber() As Integer
            Get
                Return _slotNumber
            End Get
            Set(ByVal value As Integer)
                _slotNumber = value
                RaisePropertyChanged()
            End Set
        End Property



        Protected Overridable Sub RaisePropertyChanged(<CallerMemberName> Optional ByVal prop As String = "")
            RaiseEvent PropertyChanged(Me, New PropertyChangedEventArgs(prop))
        End Sub

        Public Event PropertyChanged As PropertyChangedEventHandler Implements INotifyPropertyChanged.PropertyChanged
    End Class
End Namespace